Loading...
Searching...
No Matches
Opm::MMPCAuxConstraint< Scalar > Class Template Reference

Specifies an auxiliary constraint for the MiscibleMultiPhaseComposition constraint solver. More...

`#include <MiscibleMultiPhaseComposition.hpp>`

## Public Member Functions

| MMPCAuxConstraint (unsigned phaseIndex, unsigned compIndex, Scalar val)
void | set (unsigned phaseIndex, unsigned compIndex, Scalar val)
| Specify the auxiliary constraint.
unsigned | phaseIdx () const
| Returns the index of the fluid phase for which the auxiliary constraint is specified.
unsigned | compIdx () const
| Returns the index of the component for which the auxiliary constraint is specified.
Scalar | value () const
| Returns value of the mole fraction of the auxiliary constraint.

## Detailed Description

template<class Scalar>
class Opm::MMPCAuxConstraint< Scalar >

Specifies an auxiliary constraint for the MiscibleMultiPhaseComposition constraint solver.

For this constraint solver, an auxiliary constraint is defined as a fixed mole fraction of a component in a fluid phase.

The documentation for this class was generated from the following file:

- opm/material/constraintsolvers/MiscibleMultiPhaseComposition.hpp